# CostDetails


## Fields

| Field                            | Type                             | Required                         | Description                      |
| -------------------------------- | -------------------------------- | -------------------------------- | -------------------------------- |
| `upstream_inference_cost`        | *OptionalNullable[float]*        | :heavy_minus_sign:               | N/A                              |
| `upstream_inference_input_cost`  | *float*                          | :heavy_check_mark:               | N/A                              |
| `upstream_inference_output_cost` | *float*                          | :heavy_check_mark:               | N/A                              |